org.apache.ignite.internal.processors.cache

## Interface KeyCacheObject

All Superinterfaces:
  CacheObject, Message, Serializable

All Known Implementing Classes:
  KeyCacheObjectImpl

    public interface KeyCacheObject
    extends CacheObject

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`TYPE_BYTE_ARR, TYPE_REGULAR`

### Method Summary

Methods
`int` `hashCode()`
`boolean` `internal()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.CacheObject

`finishUnmarshal, prepareForCache, prepareMarshal, type, value, valueBytes`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, readFrom, writeTo`

### Method Detail

#### hashCode

    int hashCode()

Overrides:
  `hashCode` in class `Object`
Returns:
  Key hash code.

#### internal

    boolean internal()

Returns:
  `True` if internal cache key.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015